Uploaded image for project: 'Islandora'
  1. Islandora
  2. ISLANDORA-1804

Travis is failing for PHP 5.3.3 due to PHP_CodeSniffer

    Details

    • Type: Code Task
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Fix Version/s: 7.x-1.8
    • Component/s: FITS module, Pathauto
    • Labels:
      None

      Description

      Some builds are failing in Travis with the error below:

      No compatible version of PHP_CodeSniffer was found; you must have 1.3.4 or higher. Alternatively, you can symbolically link with the following command: sudo ln -sv /home/travis/drupal-7.50/sites/all/modules/coder/coder_sniffer/Drupal
      $(pear config-get php_dir)/PHP/CodeSniffer/Standards/Drupal

      Seems like we need some additional travis configuration.

      Example builds:
      https://travis-ci.org/Islandora/islandora_fits/jobs/159343463
      https://travis-ci.org/Islandora/islandora_fits/builds/158351188

      Compared to other modules that work.
      https://travis-ci.org/Islandora/islandora_solution_pack_newspaper/builds/161049947

        Attachments

          Activity

            People

            • Assignee:
              markj Mark Jordan
              Reporter:
              whikloj Jared Whiklo
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: